<?php

session_start();
$get = filter_input_array(INPUT_POST, FILTER_DEFAULT);
$set = array_map("strip_tags", $get);
$endereco = array_map("trim", $get);

$cliente_id = $_SESSION['clientelogin']['cliente_id'];
$endereco_id = $endereco['endereco_id'];

require ('../../_app/Config.inc.php');

$Dados['cliente_endereco_principal'] = 0;

$Update = new Update;
$Update->ExeUpdate("tp_cliente_enderecos", $Dados, "WHERE cliente_id = :cliente_id", "cliente_id={$cliente_id}");

$Dados['cliente_endereco_principal'] = 1;
$Update->ExeUpdate("tp_cliente_enderecos", $Dados, "WHERE cliente_endereco_id = :cliente_endereco_id", "cliente_endereco_id={$endereco_id}");

$Read = new Read;
$Read->ExeRead("tp_cliente_enderecos", "WHERE cliente_endereco_principal = 1 AND cliente_id = :id", "id={$cliente_id}");
$_SESSION['clientelogin']['endereco'] = $Read->getResult()[0];

//$_SESSION['storecart']['entrega']['codigo'] = $frete['codigo'];
//$_SESSION['storecart']['entrega']['tipo'] = $frete['tipo'];
//$_SESSION['storecart']['entrega']['prazo'] = $frete['prazo'];
//$_SESSION['storecart']['entrega']['valor'] = $frete['valor'];
//
//$_SESSION['storecart']['total'] = $frete['valor'] + $_SESSION['storecart']['subtotal'];

unset($_COOKIE['storecart']); // apagar o cookie caso exista
setcookie('storecart', serialize($_SESSION['storecart']), time() + 3600); //cria o novo cookie